# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "wcx/version"

Gem::Specification.new do |spec|
  spec.name          = "wcx"
  spec.version       = Wcx::VERSION
  spec.authors       = ["veerasarma"]
  spec.email         = ["veerasarma@osiztechnologies.com"]

  spec.summary       = %q{An easy to use cryptocoin wallet API by wcx.io. Sign up required at wcx.io.}
  spec.description   = %q{This Ruby Gem is the official reference client for the wcx.io payments API. To use this, you will need the cryptocurrency API key from wcx.io. Go ahead, sign up :)}
  spec.homepage      = "https://wcx.io"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "httpclient", "~> 2.4", '>= 2.4.0'
  spec.add_runtime_dependency "json", "~> 1.8", '>= 1.8.1'
  spec.add_runtime_dependency "connection_pool", "~> 2.0", '>= 2.0.0'
end
